Hashrate IndexAPI DocumentationDerivatives

Get Live Hashrate Forward

GET
/derivatives/live-hashrate-forward

/derivatives/live-hashrate-forward has rate limitation:

Initially, the API allows for a burst of 20 requests, and afterward, it gradually restores 1 request every 15 seconds until reaching the maximum allowable limit of 20. This limitation is imposed to manage and control the rate at which requests can be made to the API, preventing potential misuse or excessive use of resources.

Live Hashrate Forward

This endpoint provides details for the average hashprice of orders(average of the highest bid and lowest ask) for different contract dates. These details can be used to build a Live Hashrate Forward Curve with a given spot hashprice.

Authorization

ApiKeyAuth
X-Hi-Api-Key<token>

In: header

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/derivatives/live-hashrate-forward"
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/LiveHashrateForwardData.json",  "data": [    {      "avgHashprice": 0.1,      "contract": "string",      "unit": "string"    }  ]}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}